ParseResult (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.paramParser.ParseResult class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.paramParser
Class ParseResult

    java.lang.Object
      org.hyperic.util.paramParser.ParseResult

    public class ParseResult

extends java.lang.Object

Constructor Summary
`ParseResult(java.lang.String blockName)`

Method Summary
`void` | `addChild(ParseResult child)`
`java.lang.String` | `getBlockName()`
`java.util.List` | `getChildren()`
`java.util.Set` | `getKeys()`
`ParseResult` | `getParent()`
`ParseResult` | `getRoot()`
`java.lang.Object` | `getValue(java.lang.String key)`
`void` | `removeChild(ParseResult child)`
`void` | `setValue(java.lang.String key, java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseResult

    public ParseResult(java.lang.String blockName)

Method Detail

### getBlockName

    public java.lang.String getBlockName()

### getRoot

    public ParseResult getRoot()

### getParent

    public ParseResult getParent()

### addChild

    public void addChild(ParseResult child)

### removeChild

    public void removeChild(ParseResult child)

### getChildren

    public java.util.List getChildren()

### getValue

    public java.lang.Object getValue(java.lang.String key)

### setValue

    public void setValue(java.lang.String key,
                         java.lang.Object value)

### getKeys

    public java.util.Set getKeys()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.